Rapid7 Vulnerability & Exploit Database

Centos Linux: CVE-2020-27749: Moderate: grub2 security update (Multiple Advisories)

Back to Search

Centos Linux: CVE-2020-27749: Moderate: grub2 security update (Multiple Advisories)

Severity
7
CVSS
(AV:L/AC:L/Au:N/C:C/I:C/A:C)
Published
03/02/2021
Created
03/04/2021
Added
03/03/2021
Modified
11/18/2021

Description

A flaw was found in grub2 in versions prior to 2.06. Variable names present are expanded in the supplied command line into their corresponding variable contents, using a 1kB stack buffer for temporary storage, without sufficient bounds checking. If the function is called with a command line that references a variable with a sufficiently large payload, it is possible to overflow the stack buffer, corrupt the stack frame and control execution which could also circumvent Secure Boot protections. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.

Solution(s)

  • centos-upgrade-fwupd
  • centos-upgrade-fwupd-debuginfo
  • centos-upgrade-fwupd-debugsource
  • centos-upgrade-fwupd-tests-debuginfo
  • centos-upgrade-grub2
  • centos-upgrade-grub2-common
  • centos-upgrade-grub2-debuginfo
  • centos-upgrade-grub2-debugsource
  • centos-upgrade-grub2-efi-aa64-modules
  • centos-upgrade-grub2-efi-ia32
  • centos-upgrade-grub2-efi-ia32-cdboot
  • centos-upgrade-grub2-efi-ia32-modules
  • centos-upgrade-grub2-efi-x64
  • centos-upgrade-grub2-efi-x64-cdboot
  • centos-upgrade-grub2-efi-x64-modules
  • centos-upgrade-grub2-pc
  • centos-upgrade-grub2-pc-modules
  • centos-upgrade-grub2-ppc-modules
  • centos-upgrade-grub2-ppc64-modules
  • centos-upgrade-grub2-ppc64le-modules
  • centos-upgrade-grub2-tools
  • centos-upgrade-grub2-tools-debuginfo
  • centos-upgrade-grub2-tools-efi
  • centos-upgrade-grub2-tools-efi-debuginfo
  • centos-upgrade-grub2-tools-extra
  • centos-upgrade-grub2-tools-extra-debuginfo
  • centos-upgrade-grub2-tools-minimal
  • centos-upgrade-grub2-tools-minimal-debuginfo
  • centos-upgrade-shim-ia32
  • centos-upgrade-shim-x64

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;